<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::GpuProgramParameters::AutoConstantDefinition Member List</h1>This is the complete list of members for <a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html">Ogre::GpuProgramParameters::AutoConstantDefinition</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#90e1d49cb2787182581adc8468e4c348">acType</a></td><td><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html">Ogre::GpuProgramParameters::AutoConstantDefinition</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#8cba1c8038151f5451c1468817725277">AutoConstantDefinition</a>(AutoConstantType _acType, const String &amp;_name, size_t _elementCount, ElementType _elementType, ACDataType _dataType)</td><td><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html">Ogre::GpuProgramParameters::AutoConstantDefinition</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#be44294de0ca95bbea253b60aec0c351">dataType</a></td><td><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html">Ogre::GpuProgramParameters::AutoConstantDefinition</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#3c85f97571e5e5a5eabbf7fb6895a3be">elementCount</a></td><td><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html">Ogre::GpuProgramParameters::AutoConstantDefinition</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#fd666b79a5ca388640daf451d7da8c07">elementType</a></td><td><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html">Ogre::GpuProgramParameters::AutoConstantDefinition</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html#e5ad78cdb1c72d317aaf994fdc801b6b">name</a></td><td><a class="el" href="structOgre_1_1GpuProgramParameters_1_1AutoConstantDefinition.html">Ogre::GpuProgramParameters::AutoConstantDefinition</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:50 2008
</p>
</body>
</html>
